Package ghidra.app.merge

# Interface MergeConstants

All Known Implementing Classes:
  `ListingMergePanel`

public interface MergeConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final GColor`
  `CONFLICT_COLOR`
  `static final Color`
  `HIGHLIGHT_COLOR`
  `static final int`
  `LATEST`
  `static final String`
  `LATEST_TITLE`
  `static final int`
  `MY`
  `static final String`
  `MY_TITLE`
  `static final int`
  `ORIGINAL`
  `static final String`
  `ORIGINAL_TITLE`
  `static final String`
  `PICKED_LATEST_CODE_UNITS`
  `static final String`
  `PICKED_MY_CODE_UNITS`
  `static final String`
  `PICKED_ORIGINAL_CODE_UNITS`
  `static final String`
  `RESOLVED_CODE_UNITS`
  `static final String`
  `RESOLVED_LATEST_DTS`
  `static final String`
  `RESOLVED_LATEST_SYMBOLS`
  `static final String`
  `RESOLVED_MY_DTS`
  `static final String`
  `RESOLVED_MY_SYMBOLS`
  `static final String`
  `RESOLVED_ORIGINAL_DTS`
  `static final String`
  `RESOLVED_ORIGINAL_SYMBOLS`
  `static final int`
  `RESULT`
  `static final String`
  `RESULT_TITLE`

- ## Field Details

  - ### RESULT

    static final int RESULT
    See Also:
      - Constant Field Values

  - ### LATEST

    static final int LATEST
    See Also:
      - Constant Field Values

  - ### MY

    static final int MY
    See Also:
      - Constant Field Values

  - ### ORIGINAL

    static final int ORIGINAL
    See Also:
      - Constant Field Values

  - ### RESULT_TITLE

    static final String RESULT_TITLE
    See Also:
      - Constant Field Values

  - ### ORIGINAL_TITLE

    static final String ORIGINAL_TITLE
    See Also:
      - Constant Field Values

  - ### LATEST_TITLE

    static final String LATEST_TITLE
    See Also:
      - Constant Field Values

  - ### MY_TITLE

    static final String MY_TITLE
    See Also:
      - Constant Field Values

  - ### CONFLICT_COLOR

    static final GColor CONFLICT_COLOR

  - ### HIGHLIGHT_COLOR

    static final Color HIGHLIGHT_COLOR

  - ### RESOLVED_LATEST_DTS

    static final String RESOLVED_LATEST_DTS
    See Also:
      - Constant Field Values

  - ### RESOLVED_MY_DTS

    static final String RESOLVED_MY_DTS
    See Also:
      - Constant Field Values

  - ### RESOLVED_ORIGINAL_DTS

    static final String RESOLVED_ORIGINAL_DTS
    See Also:
      - Constant Field Values

  - ### RESOLVED_CODE_UNITS

    static final String RESOLVED_CODE_UNITS
    See Also:
      - Constant Field Values

  - ### PICKED_LATEST_CODE_UNITS

    static final String PICKED_LATEST_CODE_UNITS
    See Also:
      - Constant Field Values

  - ### PICKED_MY_CODE_UNITS

    static final String PICKED_MY_CODE_UNITS
    See Also:
      - Constant Field Values

  - ### PICKED_ORIGINAL_CODE_UNITS

    static final String PICKED_ORIGINAL_CODE_UNITS
    See Also:
      - Constant Field Values

  - ### RESOLVED_LATEST_SYMBOLS

    static final String RESOLVED_LATEST_SYMBOLS
    See Also:
      - Constant Field Values

  - ### RESOLVED_MY_SYMBOLS

    static final String RESOLVED_MY_SYMBOLS
    See Also:
      - Constant Field Values

  - ### RESOLVED_ORIGINAL_SYMBOLS

    static final String RESOLVED_ORIGINAL_SYMBOLS
    See Also:
      - Constant Field Values